Subject: Re: bug#36924: Mesa/GDM/XFCE

From: L p R n d n <[email-masked]>
Date: Mon, 16 Sep 2019 16:57:21 +0200

Hello,

Andreas Enge <[email-masked]> writes:

> Hello,
>
> On Thu, Sep 12, 2019 at 01:40:09PM +0200, Ludovic Courtès wrote:
>> Thanks for the report, Andreas!
>
> and thanks for the time spent putting me on the good track!
>
>> Andreas Enge <[email-masked]> skribis:
>> > xfwm4: ../mesa-19.1.4/src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1293:
>> intel_miptree_match_image: Zusicherung »image->TexObject->Target ==
>> mt->target« nicht erfüllt.
>> That’s the likely root cause to me (in which case it may be unrelated to
>> this <https://issues.guix.gnu.org/issue/36924>, after all.)
>> I found these bug reports:
>>   https://bugs.freedesktop.org/show_bug.cgi?id=107117
>>   https://bugzilla.redhat.com/show_bug.cgi?id=1678334
>> 
>> In both cases, Xfce and Mesa’s i965 drivers are involved, as is the case
>> on your machine.  The 2nd bug report includes an xfwm4 patch, even.
>
> The first one also contains a patch, but it has been integrated into later
> mesa releases, in particular the one we are using.
>
>> I wonder if Xfce before the recent updates (so before
>> 8549e0ca6fd68a57253471436de49b88b2d47e64) works better.
>> Andreas, if you feel like it, could you try:
>>   guix pull --commit=97ce5964fb5d52cf2151fea685e28fa23a98b264
>>   sudo guix system reconfigure …
>
> Indeed, the problem disappears with this commit; I can log in and out
> and in again with xfce working. So I am cc-ing the author of the commits
> updating xfce, maybe they have an answer!

It seems some bugs have been introduced in xfwm4 between 4.12 and 4.14.
(All issues previously linked are for >=4.13 wich was the dev version of
4.14).
I found https://forum.xfce.org/viewtopic.php?id=13233 which seems
interesting. Please let us know if it changes anything.

I don't know what would be the correct way to deal with the problem in
guix though.

> And I will try to look at the patch in the second report you reference
> above.
>
> Thanks!
>
> Andreas

Have a nice day,

L  p r n  d n